// verdlg.pas
// This file is part of the DendoPlayer.
//
//     Copyright(c) 2008 PT2K <PT2K@mymail.to>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

unit VerDlg;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TVersionDialog }

  TVersionDialog = class(TForm)
    TitleLabel: TLabel;
    VersionLabel: TLabel;
    CopyrightLabel: TLabel;
    OkButton: TButton;
  public
    procedure Execute(VersionStr: String);
  end;

var
  VersionDialog: TVersionDialog;

implementation

{ TVersionDialog }

procedure TVersionDialog.Execute(VersionStr: String);
begin
  VersionLabel.Caption := VersionStr;
  ShowModal();
end;

initialization
  {$I verdlg.lrs}

end.
