// dendoplayer.lpr - download and play the Dendo data.
// This file is part of the DendoPlayer.
//
//     Copyright(c) 2008 PT2K <PT2K@mymail.to>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; version 2 of the License.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

program dendoplayer;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms,
  PlayerForm, DlDataDlg, DlLzhDlg, SearchDlg, VerDlg;

begin
  Application.Initialize;
  Application.CreateForm(TDendoPlayerForm, DendoPlayerForm);
  Application.CreateForm(TDownloadDatabaseDialog, DownloadDatabaseDialog);
  Application.CreateForm(TDownloadLzhDialog, DownloadLzhDialog);
  Application.CreateForm(TSearchDialog, SearchDialog);
  Application.CreateForm(TVersionDialog, VersionDialog);
  Application.Run;
end.

